'use strict';

var _ = require('lodash');
var classNames = require('classnames');
var React = require('react');

var ConfigItemTitle = require('./ConfigItemTitle');
var ConfigFieldCheckbox = require('./ConfigFieldCheckbox');
var Compat = require('../services/Compat');

var ConfigFieldSelectMany = React.createClass({
  displayName: 'ConfigFieldSelectMany',

  handleItemChange: function handleItemChange(itemName, value) {
    if (this.props.handleChange) {
      this.props.handleChange(itemName, value);
    }
  },

  render: function render() {
    var options = [];
    _.each(this.props.items, (function (item) {
      if (!_.isEmpty(item)) {
        // TODO: does required make sense here?
        var title = React.createElement(ConfigItemTitle, {
          title: item.title,
          required: item.required === true,
          recommended: item.recommended === true });

        options.push(React.createElement(
          'div',
          {
            key: item.name + '-selectmany',
            className: 'pull-left',
            style: { paddingRight: '10px' } },
          React.createElement(ConfigFieldCheckbox, {
            title: title,
            name: item.name,
            group: this.props.name,
            value: item.value,
            'default': item['default'],
            readOnly: this.props.readOnly,
            handleChange: this.handleItemChange })
        ));
      }
    }).bind(this));

    return React.createElement(
      'div',
      { className: 'field field-type-selectmany' },
      React.createElement(
        'label',
        { className: classNames(Compat.hiddenClass('1.0.0')) },
        this.props.title
      ),
      React.createElement(
        'div',
        { className: 'input input-type-selectmany clearfix' },
        options
      )
    );
  }
});

module.exports = ConfigFieldSelectMany;
//# sourceMappingURL=ConfigFieldSelectMany.js.map
