'use strict';

var yaml = require('js-yaml');
var React = require('react');
var ReactDOM = require('react-dom');

var Configure = require('./components/Configure');
var configureFactory = React.createFactory(Configure);

module.exports.Configure = Configure;

module.exports.renderYml = function (yml, component, changeHandler) {
  var doc = yaml.safeLoad(yml);
  ReactDOM.render(configureFactory({ groups: doc.config, handleChange: changeHandler }), component);
};

module.exports.renderYmlToString = function (yml, cb) {
  var doc;
  try {
    doc = yaml.safeLoad(yml);
  } catch (exc) {
    cb(exc, null);
  }
  var cofn = configureFactory({ groups: doc.config });
  var html = React.renderToString(cofn);
  cb(null, html);
};
//# sourceMappingURL=index.js.map
