'use strict';

var semver = require('semver');

var version = '0.9.0';

var Compat = {
  setVersion: function setVersion(ver) {
    version = ver;
  },

  c: function c(min) {
    return semver.gte(version, min);
  },

  hiddenClass: function hiddenClass(min, size) {
    return this.c(min) ? '' : 'hidden' + (size ? '-' + size : '');
  },

  visibleClass: function visibleClass(min, size) {
    return this.c(min) ? 'visible' + (size ? '-' + size : '') : '';
  }
};

module.exports = Compat;
//# sourceMappingURL=Compat.js.map
